.header {
  top: 0;
  left: 0;
  width: 100%;
  height: 100px;
  position: fixed;
  padding: 23px 25px;
  clear: fix;
  z-index: 8020;
  min-width: 320px;

  @media (--medium) {
    height: 60px;
    padding: 10px;
  }
}

.header__container {
  position: relative;
  z-index: 8030;
}

.header__star {
  float: left;
  width: 56px;
  height: 53px;
  display: block;
  text-decoration: none;
  margin-right: 11px;

  @media (--medium) {display: none}
}

.header__button {
  width: 150px;
  height: 40px;
  border: none;
  text-decoration: none;
  text-align: center;
  outline: none;
  background-color: #990000;
  color: #faead3;
  font-size: 15px;
  line-height: 43px;
  margin-top: 7px;
  cursor: pointer;
  padding: 0;
  transition: background-color 0.3s ease 0s;
  will-change: background-color;

  &:hover {
    background-color: #7a0000;
  }

  & svg {
    display: none;
  }

  @media (--medium) {
    width: 40px;
    height: 40px;
    font-size: 0;
    margin-top: 0;
    position: relative;

    & svg {
      display: block;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      opacity: 0;
      transition: opacity 0.3s ease 0s;
      will-change: transition;

      &:first-of-type {
        opacity: 1;
      }
    }

    &.active svg {
      opacity: 1;

      &:first-of-type {
        opacity: 0;
      }
    }
  }
}

.header__button--left {float: left}
.header__button--right {
  float: right;

  @media (--medium) {display: none}
}

.header__icon {
  float: right;
  margin-left: 10px;
  display: block;
  margin-top: 7px;

  @media (--medium) {display: none}
}

.header__nav {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 8020;
  width: 100%;
  overflow-y: hidden;
  overflow-x: hidden;
  height: 0;
  background-color: #181818;
  transition: height 0.3s ease 0s;
  will-change: height;

  &.active {
    height: 100%;
    overflow-y: auto;
  }
}

.header__list {
  padding: 0;
  list-style: none;
  margin: 100px 0 0;
  border-top: 1px solid rgba(250, 234, 211, 0.15);

  @media (--medium) {margin-top: 60px;}
}

.header__list-item {
  height: 105px;
  text-align: center;
  border-bottom: 1px solid rgba(250, 234, 211, 0.15);

  @media (--medium) {
    height: 60px;
  }
}

.header__list-link {
  font-size: 35px;
  line-height: 105px;
  white-space: nowrap;
  color: #faead3;
  text-decoration: none;
  transition: color 0.3s ease 0s;
  will-change: color;

  &:hover {
    color: #990000;
  }

  @media (--medium) {
    font-size: 20px;
    line-height: 60px;
  }
}

.header__list-item--centered {
  display: flex;
  align-items: center;
  justify-content: center;
}

.header__list-item--lang {
  @media (--medium) {
    display: none;
  }
}

.header__list-lang {
  padding: 0;
  margin: 0;
  outline: none;
  border: none;
  display: block;
  background-color: transparent;
  height: 40px;
  width: 45px;
  border: 1px solid #faead3;
  color: #faead3;
  line-height: 40px;
  font-size: 15px;
  text-align: center;
  cursor: pointer;

  &.active {
    background-color: #990000;
  }

  &:first-child {border-right: none;}
  &:last-child {border-left: none;}
}

.header__logo {
  top: -6px;
  left: 50%;
  width: 262px;
  position: absolute;
  margin-left: -131px;
  text-decoration: none;
  text-align: center;

  @media (--medium) {
    width: 150px;
    margin-left: -75px;
  }

  & svg {
    max-width: 100%;
    margin-top: -5px;
  }

  & span {
    display: inline-block;
    vertical-align: top;
    color: #faead3;
    position: relative;
    text-transform: uppercase;

    &::before,
    &::after {
      content: '';
      display: block;
      position: absolute;
      top: 4px;
      width: 0;
      height: 0;
      border-top: 1px solid transparent;
      border-bottom: 1px solid transparent;
    }

    &::before {
      left: -48px;
      border-right: 40px solid #faead3;
    }

    &::after {
      right: -48px;
      border-left: 40px solid #faead3;
    }
  }

  & span:first-child {
    font-size: 10px;
  }

  & span:last-child {
    font-size: 15px;

    @media (--medium) {font-size: 10px}

    &::before,
    &::after {
      top: 6px;

      @media (--medium) {top: 4px;}
    }

    &::before {
      border-right-width: 60px;
      left: -68px;
    }

    &::after {
      border-left-width: 60px;
      right: -68px;
    }
  }
}

.header__lang {
  display: none;

  @media (--medium) {
    float: right;
    width: 40px;
    height: 40px;
    display: block;
    height: 40px;
    overflow: hidden;
    transition: height 0.3s ease 0s;
    will-change: height;

    &.active {
      height: 80px;
    }
  }
}

.header__lang-button {
  width: 40px;
  height: 40px;
  text-align: center;
  font-size: 10px;
  line-height: 40px;
  overflow: hidden;
  text-decoration: none;
  display: block;
  color: #faead3;

  &:first-child {
    background-color: #990000;
  }

  &:last-child {
    background-color: #181818;
    border: 1px solid #faead3;
    border-top: 0;
  }
}
